Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.util
Class ResultSortUtils

    java.lang.Object
      org.apache.lucene.facet.util.ResultSortUtils

    public class ResultSortUtils

extends Object

Utilities for generating facet results sorted as required

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`ResultSortUtils()`

Method Summary
`static Heap<FacetResultNode>` | `createSuitableHeap(FacetRequest facetRequest)` Create a suitable heap according to facet request being served.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultSortUtils

    public ResultSortUtils()

Method Detail

### createSuitableHeap

    public static Heap<FacetResultNode> createSuitableHeap(FacetRequest facetRequest)

  Create a suitable heap according to facet request being served.

  Returns:
    heap for maintaining results for specified request.
  Throws:
    `IllegalArgumentException` - is provided facet request is not supported

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD